GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_credentials_vtable Struct Reference

`#include <credentials.h>`

## Data Fields
void(* | destroy )(grpc_credentials *c)
int(* | has_request_metadata )(const grpc_credentials *c)
int(* | has_request_metadata_only )(const grpc_credentials *c)
void(* | get_request_metadata )(grpc_credentials *c, grpc_pollset *pollset, const char *service_url, grpc_credentials_metadata_cb cb, void *user_data)
grpc_security_status(* | create_security_connector )(grpc_credentials *c, const char *target, const grpc_channel_args *args, grpc_credentials *request_metadata_creds, grpc_channel_security_connector **sc, grpc_channel_args **new_args)

## Field Documentation

grpc_security_status(* grpc_credentials_vtable::create_security_connector)(grpc_credentials *c, const char *target, const grpc_channel_args *args, grpc_credentials *request_metadata_creds, grpc_channel_security_connector **sc, grpc_channel_args **new_args)

void(* grpc_credentials_vtable::destroy)(grpc_credentials *c)

void(* grpc_credentials_vtable::get_request_metadata)(grpc_credentials *c, grpc_pollset *pollset, const char *service_url, grpc_credentials_metadata_cb cb, void *user_data)

int(* grpc_credentials_vtable::has_request_metadata)(const grpc_credentials *c)

int(* grpc_credentials_vtable::has_request_metadata_only)(const grpc_credentials *c)

The documentation for this struct was generated from the following file:

- src/core/security/credentials.h